<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/acmp.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">acmp.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d2f/acmp_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __ACMP_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __ACMP_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac43151f2443ae795d5e6a437f77eedd3">   33</a></span><span class="preprocessor">#define ACMP_CR_CN_PIN    (0&lt;&lt;24)  </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaac02c4255fa5fff6508dbaea342bc59b">   34</a></span><span class="preprocessor">#define ACMP_CR_CN_CRV    (1&lt;&lt;24)  </span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga05e9d3b0cec7ab5576b38c408fdab598">   35</a></span><span class="preprocessor">#define ACMP_CR_CN_VREFI  (2&lt;&lt;24)  </span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf7ad76b3d6869d22a8ce20c5bae4e117">   36</a></span><span class="preprocessor">#define ACMP_CR_CN_AGND   (3&lt;&lt;24)  </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8f3deb8884c2d823350257cc2cf4c8ab">   38</a></span><span class="preprocessor">#define ACMP_CR_ACMP_HYSTERSIS_ENABLE    ACMP_CR_ACMP_HYSEN_Msk  </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga25481f9389c229c5bf492dcbe3f059bd">   39</a></span><span class="preprocessor">#define ACMP_CR_ACMP_HYSTERSIS_DISABLE   0                           </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2f2e2e8eb7089383f76000b2af8dfa71">   41</a></span><span class="preprocessor">#define ACMP_CR_CPP0SEL_PA1 (3UL&lt;&lt;ACMP_CR_CPP0SEL_Pos)  </span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90122c8869cde2b0d879be3ae0db9df">   42</a></span><span class="preprocessor">#define ACMP_CR_CPP0SEL_PA2 (2UL&lt;&lt;ACMP_CR_CPP0SEL_Pos)  </span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacf47889af37dafc0ddf246e988a7407d">   43</a></span><span class="preprocessor">#define ACMP_CR_CPP0SEL_PA3 (1UL&lt;&lt;ACMP_CR_CPP0SEL_Pos)  </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf70d3c3914b0dfba58961e6a03a2518e">   44</a></span><span class="preprocessor">#define ACMP_CR_CPP0SEL_PA4 (0UL&lt;&lt;ACMP_CR_CPP0SEL_Pos)  </span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabb5afbe77b5d1c46cdbf1a1da6c2558e">   47</a></span><span class="preprocessor">#define ACMP_MODCR0_TMR_TRI_LV_RISING  (0UL&lt;&lt;ACMP_MODCR0_TMR_TRI_LV_Pos) </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab040a283194873739457a8a85b1c0c8d">   48</a></span><span class="preprocessor">#define ACMP_MODCR0_TMR_TRI_LV_FALLING (1UL&lt;&lt;ACMP_MODCR0_TMR_TRI_LV_Pos) </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga15e2af0fea9fbf8b15ddedc44f186d12">   50</a></span><span class="preprocessor">#define ACMP_MODCR0_CH_DIS_PINSEL_PA1  (0UL&lt;&lt;ACMP_MODCR0_CH_DIS_PIN_SEL_Pos) </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab670864bd85e62048db8435ea3a826b7">   51</a></span><span class="preprocessor">#define ACMP_MODCR0_CH_DIS_PINSEL_PA2  (1UL&lt;&lt;ACMP_MODCR0_CH_DIS_PIN_SEL_Pos) </span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga202acb91d2c6b5c0c85926f03e002440">   52</a></span><span class="preprocessor">#define ACMP_MODCR0_CH_DIS_PINSEL_PA3  (2UL&lt;&lt;ACMP_MODCR0_CH_DIS_PIN_SEL_Pos) </span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac7d1c1926b071befc76924b883e4d0c2">   53</a></span><span class="preprocessor">#define ACMP_MODCR0_CH_DIS_PINSEL_PA4  (3UL&lt;&lt;ACMP_MODCR0_CH_DIS_PIN_SEL_Pos) </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab81cfc3b514619a7fb9d081fedab153b">   54</a></span><span class="preprocessor">#define ACMP_MODCR0_CH_DIS_PINSEL_PA5  (4UL&lt;&lt;ACMP_MODCR0_CH_DIS_PIN_SEL_Pos) </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada38658fdc228b40aefefd7766810e6c">   55</a></span><span class="preprocessor">#define ACMP_MODCR0_CH_DIS_PINSEL_PA6  (5UL&lt;&lt;ACMP_MODCR0_CH_DIS_PIN_SEL_Pos) </span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7a4ab39c376c5bf5d9096964f9587f49">   56</a></span><span class="preprocessor">#define ACMP_MODCR0_CH_DIS_PINSEL_PA14 (6UL&lt;&lt;ACMP_MODCR0_CH_DIS_PIN_SEL_Pos) </span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga30f3f7b9ef410b74749b6e4c9e276132">   57</a></span><span class="preprocessor">#define ACMP_MODCR0_CH_DIS_PINSEL_PF5  (7UL&lt;&lt;ACMP_MODCR0_CH_DIS_PIN_SEL_Pos) </span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga15bc92bc211ec137f29ad54442218b71">   59</a></span><span class="preprocessor">#define ACMP_MODCR0_MOD_SEL_NORMAL       (0UL&lt;&lt;ACMP_MODCR0_MOD_SEL_Pos) </span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga274862a77f3850558288b7f9e7869700">   60</a></span><span class="preprocessor">#define ACMP_MODCR0_MOD_SEL_SIGAMA_DELTA (1UL&lt;&lt;ACMP_MODCR0_MOD_SEL_Pos) </span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd2a6986c27091d994019ac9f6097352">   61</a></span><span class="preprocessor">#define ACMP_MODCR0_MOD_SEL_SLOPE        (2UL&lt;&lt;ACMP_MODCR0_MOD_SEL_Pos) </span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaef419c649fdcbf4a27ccaf910037d2f8">   63</a></span><span class="preprocessor">#define ACMP_TIMER01 (0UL&lt;&lt;ACMP_MODCR0_TMR_SEL_Pos)  </span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d4/d99/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga426242524311ceb7ed018380c6d08ced">   64</a></span><span class="preprocessor">#define ACMP_TIMER23 (1UL&lt;&lt;ACMP_MODCR0_TMR_SEL_Pos)  </span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> <span class="comment">/* end of group NANO1X2_ACMP_EXPORTED_CONSTANTS */</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga45a665764c52ef6a9f04d7ea146628e4">   85</a></span><span class="preprocessor">#define ACMP_SET_NEG_SRC(acmp,u32ChNum,u32Src) (acmp-&gt;CR[u32ChNum] = (acmp-&gt;CR[u32ChNum] &amp; ~ACMP_CR_CN_Msk) | u32Src)</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6ff058bc40270bc680c5342e61286d1c">   94</a></span><span class="preprocessor">#define ACMP_ENABLE_HYSTERESIS(acmp,u32ChNum) (acmp-&gt;CR[u32ChNum] |= ACMP_CR_ACMP_HYSEN_Msk)</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d40aa0b9764296df3efdbf123efd67c">  103</a></span><span class="preprocessor">#define ACMP_DISABLE_HYSTERESIS(acmp,u32ChNum) (acmp-&gt;CR[u32ChNum] &amp;= ~ACMP_CR_ACMP_HYSEN_Msk)</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3a87980f263cf8d119a0c8c6813c0009">  112</a></span><span class="preprocessor">#define ACMP_ENABLE_INT(acmp,u32ChNum) (acmp-&gt;CR[u32ChNum] |= ACMP_CR_ACMPIE_Msk)</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabeacab51c104e76f4a63e549dd51458e">  121</a></span><span class="preprocessor">#define ACMP_DISABLE_INT(acmp,u32ChNum) (acmp-&gt;CR[u32ChNum] &amp;= ~ACMP_CR_ACMPIE_Msk)</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b0826b13566d82221c87495d53f1fd1">  131</a></span><span class="preprocessor">#define ACMP_ENABLE(acmp,u32ChNum) (acmp-&gt;CR[u32ChNum] |= ACMP_CR_ACMPEN_Msk)</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6d2a6f4b3ff275b7b9c288d4ff9e451">  140</a></span><span class="preprocessor">#define ACMP_DISABLE(acmp,u32ChNum) (acmp-&gt;CR[u32ChNum] &amp;= ~ACMP_CR_ACMPEN_Msk)</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span> </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga49697bfbf35af67568bed5eea9a16f14">  149</a></span><span class="preprocessor">#define ACMP_GET_OUTPUT(acmp,u32ChNum) ((acmp-&gt;SR &amp; ACMP_SR_CO0_Msk&lt;&lt;u32ChNum)?1:0)</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35fd02ebe49db0363ea1b49abd8e0a44">  158</a></span><span class="preprocessor">#define ACMP_GET_INT_FLAG(acmp,u32ChNum) ((acmp-&gt;SR &amp; ACMP_SR_ACMPF0_Msk&lt;&lt;u32ChNum)?1:0)</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6970a7ea11190354b68cf7773ce58941">  167</a></span><span class="preprocessor">#define ACMP_CLR_INT_FLAG(acmp,u32ChNum) (acmp-&gt;SR |= (ACMP_SR_ACMPF0_Msk&lt;&lt;u32ChNum))</span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab0a58d9725df2285311084afbbaf804c">  176</a></span><span class="preprocessor">#define ACMP_ENABLE_WAKEUP(acmp,u32ChNum) (acmp-&gt;CR[u32ChNum] |= ACMP_CR_ACMP_WKEUP_EN_Msk)</span></div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf3e3aed0f2919e2a8d61ab1e1dbe7708">  185</a></span><span class="preprocessor">#define ACMP_DISABLE_WAKEUP(acmp,u32ChNum) (acmp-&gt;CR[u32ChNum] &amp;= ~ACMP_CR_ACMP_WKEUP_EN_Msk)</span></div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad026e3b348b4d01bf08169fcf228ccd4">  196</a></span><span class="preprocessor">#define ACMP_CRV_SEL(u32Level) (ACMP-&gt;RVCR = (ACMP-&gt;RVCR &amp; ~ACMP_RVCR_CRVS_Msk)| u32Level)</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8ea40922e983fbac41f1edb8de6a3508">  204</a></span><span class="preprocessor">#define ACMP_ENABLE_CRV(acmp) (ACMP-&gt;RVCR |= ACMP_RVCR_CRV_EN_Msk)</span></div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa02b51a7db91ab851ad314fbf1522774">  212</a></span><span class="preprocessor">#define ACMP_DISABLE_CRV(acmp) (ACMP-&gt;RVCR &amp;= ~ACMP_RVCR_CRV_EN_Msk)</span></div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2ab63928fbc93ddce08d2958788acfa">  226</a></span><span class="preprocessor">#define ACMP_SELECT_P(acmp, u32ChNum, u32Src) ((acmp)-&gt;CR[(u32ChNum)%2] = ((acmp)-&gt;CR[(u32ChNum)%2] &amp; ~ACMP_CR_CPP0SEL_Msk) | (u32Src))</span></div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span> </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno"><a class="line" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8ed45bc3a65d7c0e6e468649325bd9a">  234</a></span><span class="preprocessor">#define ACMP_START_CONV(acmp) \</span></div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span><span class="preprocessor">do{ \</span></div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span><span class="preprocessor">    ACMP-&gt;MODCR0 &amp;= ~ACMP_MODCR0_START_Msk; \</span></div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span><span class="preprocessor">    ACMP-&gt;MODCR0 |=  ACMP_MODCR0_START_Msk; \</span></div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span><span class="preprocessor">}while(0);</span></div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span> </div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7505028ec73e3c2360b07efd08a61b14">ACMP_Open</a>(<a class="code hl_struct" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn);</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27fe67fe691fb1142b7f383b2e9986d1">ACMP_Close</a>(<a class="code hl_struct" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *, uint32_t u32ChNum);</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga032491a1eaec095524ca772e101bbc00">ACMP_SetSigmaDeltaConv</a>(uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin);</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac937fcc295fb0019f6b5bacbbbd63c58">ACMP_SetSlopeConv</a>(uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin);</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span> <span class="comment">/* end of group NANO1X2_ACMP_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> <span class="comment">/* end of group NANO1X2_ACMP_Driver */</span></div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span> </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>}</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span> </div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span><span class="preprocessor">#endif </span><span class="comment">//__ACMP_H__</span></div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span> </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga032491a1eaec095524ca772e101bbc00"><div class="ttname"><a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga032491a1eaec095524ca772e101bbc00">ACMP_SetSigmaDeltaConv</a></div><div class="ttdeci">void ACMP_SetSigmaDeltaConv(uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin)</div><div class="ttdoc">This function configure ACMP to sigma-delta mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/df1/acmp_8c_source.html#l00102">acmp.c:102</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga27fe67fe691fb1142b7f383b2e9986d1"><div class="ttname"><a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27fe67fe691fb1142b7f383b2e9986d1">ACMP_Close</a></div><div class="ttdeci">void ACMP_Close(ACMP_T *, uint32_t u32ChNum)</div><div class="ttdoc">This function close comparator.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/df1/acmp_8c_source.html#l00071">acmp.c:71</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7505028ec73e3c2360b07efd08a61b14"><div class="ttname"><a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7505028ec73e3c2360b07efd08a61b14">ACMP_Open</a></div><div class="ttdeci">void ACMP_Open(ACMP_T *, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn)</div><div class="ttdoc">This function open and configure comparator parameters.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/df1/acmp_8c_source.html#l00055">acmp.c:55</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac937fcc295fb0019f6b5bacbbbd63c58"><div class="ttname"><a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac937fcc295fb0019f6b5bacbbbd63c58">ACMP_SetSlopeConv</a></div><div class="ttdeci">void ACMP_SetSlopeConv(uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin)</div><div class="ttdoc">This function configure ACMP to slope mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/df1/acmp_8c_source.html#l00142">acmp.c:142</a></div></div>
<div class="ttc" id="astruct_a_c_m_p___t_html"><div class="ttname"><a href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00156">Nano1X2Series.h:157</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
